# class Catalog::Yaml

### Private Instance Methods

from_yaml(text) click to toggle source

Override these, because yaml doesn’t want to convert our self-referential objects. This is hackish, but eh.

    # File lib/puppet/indirector/catalog/yaml.rb, line 11
    def from_yaml(text)
      if config = YAML.load(text)
        return config
      end
    end

to_yaml(config) click to toggle source

    # File lib/puppet/indirector/catalog/yaml.rb, line 17
    def to_yaml(config)
      # We can't yaml-dump classes.
      #config.edgelist_class = nil
      YAML.dump(config)
    end